<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/terminate_file_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>01/18/83  terminate_file_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>Entry points in terminate_file_:
<span id="L4" class="LineNr"> 4 </span>   <span class="textRainbow_lv0_p0">(</span>list is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>:Entry:  terminate_file_:  01/18/83  terminate_file_
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Syntax:
<span id="L10" class="LineNr">10 </span>dcl terminate_file_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L11" class="LineNr">11 </span>call terminate_file_ <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> bit_count<span class="textRainbow_lv0_o0">,</span> switches<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Function:  Performs common operations after a program has finished
<span id="L15" class="LineNr">15 </span>with a segment.  It optionally sets the bit count, truncates the
<span id="L16" class="LineNr">16 </span>segment to a bit boundary, terminates a null reference name from the
<span id="L17" class="LineNr">17 </span>segment, and ensures that modified pages of the segment are no longer
<span id="L18" class="LineNr">18 </span>in main memory.  It can also be instructed to delete the segment.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Arguments:
<span id="L22" class="LineNr">22 </span>seg_ptr
<span id="L23" class="LineNr">23 </span>   is a pointer to the segment.  If null on input, no action is taken.
<span id="L24" class="LineNr">24 </span>   Set to null after a null reference name on the segment is terminated.
<span id="L25" class="LineNr">25 </span>   <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>bit_count
<span id="L27" class="LineNr">27 </span>   is the new bit count of the segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>switches
<span id="L29" class="LineNr">29 </span>   control the action of this subroutine.  See the &quot;Notes&quot; section.
<span id="L30" class="LineNr">30 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>code
<span id="L32" class="LineNr">32 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>Notes:  The following structure describes the meanings of the switches.
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span> dcl 1 terminate_file_switches based,
<span id="L38" class="LineNr">38 </span>       2 truncate    bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L39" class="LineNr">39 </span>       2 set_bc      bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L40" class="LineNr">40 </span>       2 terminate   bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L41" class="LineNr">41 </span>       2 force_write bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L42" class="LineNr">42 </span>       2 delete      bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal;
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>This structure is declared in terminate_file.incl.pl1.  The named
<span id="L45" class="LineNr">45 </span>constants in the &quot;List of named constants&quot; section are also declared
<span id="L46" class="LineNr">46 </span>with one or more of the above bits on.
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>If a request is made to delete the segment, any other options selected
<span id="L49" class="LineNr">49 </span>are performed first in case it is not possible to delete the segment.
<span id="L50" class="LineNr">50 </span>
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>List of named constants:
<span id="L53" class="LineNr">53 </span>TERM_FILE_TRUNC
<span id="L54" class="LineNr">54 </span>   truncate the segment to bit_count bits
<span id="L55" class="LineNr">55 </span>TERM_FILE_BC
<span id="L56" class="LineNr">56 </span>   set the bit count to bit_count
<span id="L57" class="LineNr">57 </span>TERM_FILE_TERM
<span id="L58" class="LineNr">58 </span>   terminate a null reference name on the segment
<span id="L59" class="LineNr">59 </span>TERM_FILE_TRUNC_BC
<span id="L60" class="LineNr">60 </span>   truncate the segment to the bit_count bits and set the bit count
<span id="L61" class="LineNr">61 </span>   to bit_count
<span id="L62" class="LineNr">62 </span>TERM_FILE_TRUNC_BC_TERM
<span id="L63" class="LineNr">63 </span>   truncate the segment to the bit_count bits, set the bit count to
<span id="L64" class="LineNr">64 </span>   bit_count, and terminate a null reference name on the segment
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>
<span id="L67" class="LineNr">67 </span>TERM_FILE_FORCE_WRITE
<span id="L68" class="LineNr">68 </span>   ensure that modified pages of the segment are no longer in main
<span id="L69" class="LineNr">69 </span>   memory
<span id="L70" class="LineNr">70 </span>TERM_FILE_DELETE
<span id="L71" class="LineNr">71 </span>   delete the segment
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
